Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Titan » Compiler version error
Compiler version error [message #1803722] Thu, 07 March 2019 14:56 Go to next message
Xing Meng is currently offline Xing MengFriend
Messages: 1
Registered: March 2019
Junior Member
When I set up TITAN Preferences, it shows "The version of the compiler used: seems to be invalid/corrupted or there were problems while processing it". How can I solve this problem?
Re: Compiler version error [message #1803916 is a reply to message #1803722] Wed, 13 March 2019 15:59 Go to previous message
Jeno Attila Balasko is currently offline Jeno Attila BalaskoFriend
Messages: 78
Registered: September 2013
Location: Budapest, Hungary
Member

I suppose you built your own titan.core, cloned from the github.
This is a fixed bug in the Titan Eclipse plugin ("The version of the compiler used: seems to be invalid/corrupted or there were problems while processing it").
The last released titan CNL 113 200/6 R5B (6.5.pl1) does not contain this bug.
As a workaround I would suggest you to downgrade your titan.core for the released version. Choose tag 6.5.1 in the github.
Another possibility is to download the new Titan Eclipse plug-in source and build your own plugin.
We will deliver on eclipse.org the newer plugin version containing the bug fix, asap.

Background:
1. Release date of 6.5.1: 21th of January
2. Commit the new output of "compiler -v" containing line "Version:" : 27th of February, 2019 (https://bugs.eclipse.org/bugs/show_bug.cgi?id=544861)
3. Bugfix commit for Eclipse plugin: 6th of March, 2019 (https://bugs.eclipse.org/bugs/show_bug.cgi?id=545019)

Hopefully it helps.

Best regards
Jeno
Previous Topic:Compiling the Titan compiler and xsd2ttcn for windows
Next Topic:RIoT - the IoT load/performance generator based on TTCN-3 and Titan
Goto Forum:
  


Current Time: Fri Aug 14 22:56:32 GMT 2020

Powered by FUDForum. Page generated in 0.02311 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top